#
# spec file for package jmock
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define section   free

Name:           jmock
Version:        1.2.0
Release:        33.5
Summary:        Test Java code using mock objects
License:        BSD-3-Clause
Group:          Development/Libraries/Java
Url:            http://jmock.codehaus.org/license.html
Source0:        jmock-1.2.0.tar.gz
# svn export http://svn.codehaus.org/jmock/tags/1.2.0/ jmock-1.2.0
Source1:        jmock-1.2.0.pom
Source2:        jmock-cglib-1.2.0.pom
Patch0:         jmock-1.2.0-AssertMo.patch
Patch1:         jmock-1.2.0-build_xml.patch
BuildArch:      noarch
BuildRequires:  ant >= 1.6
BuildRequires:  ant-junit
BuildRequires:  javapackages-tools
BuildRequires:  junit >= 3.8.1
#BuildRequires:  cglib >= 2.1.3
BuildRequires:  asm >= 1.5.3
BuildRequires:  cglib-nohook >= 2.1.3
Requires:       asm >= 1.5.3
Requires:       cglib >= 2.1.3
BuildRequires:  java-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
jMock is a library for testing Java code using mock objects. Mock
   objects help you design and test the interactions between the
   objects in your programs. The jMock package: * makes it quick and
   easy to define mock objects, so you don't break the rhythm of
   programming.

* lets you define flexible constraints over object interactions,
   reducing the brittleness of your tests.

* is easy to extend.



%package        javadoc
Summary:        Test Java code using mock objects
Group:          Development/Libraries/Java

%description    javadoc
jMock is a library for testing Java code using mock objects. Mock
   objects help you design and test the interactions between the
   objects in your programs. The jMock package: * makes it quick and
   easy to define mock objects, so you don't break the rhythm of
   programming.

* lets you define flexible constraints over object interactions,
   reducing the brittleness of your tests.

* is easy to extend.



%package        demo
Summary:        Test Java code using mock objects
Group:          Development/Libraries/Java

%description    demo
jMock is a library for testing Java code using mock objects. Mock
   objects help you design and test the interactions between the
   objects in your programs. The jMock package: * makes it quick and
   easy to define mock objects, so you don't break the rhythm of
   programming.

* lets you define flexible constraints over object interactions,
   reducing the brittleness of your tests.

* is easy to extend.



%prep
%setup -q 
find . -name "*.jar" | xargs rm
%patch0 -p0
%patch1 -p0

# needs net.sf.cglib.asm. classes fron dropped cglib-nohook
rm -rf src/test src/atest

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=`pwd`/build/classes:$(build-classpath asm cglib)
ant -Dbuild.sysclasspath=only package

%install
install -Dpm 644 build/%{name}-core-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -pm 644 build/%{name}-cglib-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-cglib.jar
install -pm 644 build/%{name}-tests-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-tests.jar

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
#install -pm 644 %{SOURCE2} \
#    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cglib.pom
# % add_maven_depmap

#
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/javadoc-%{version}/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
#
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt overview.html
%{_javadir}/*.jar
%{_mavenpomdir}/*
# %{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%changelog
* Tue Sep 10 2013 mvyskocil@suse.com
- use add_maven_depmap from javapackages-tools
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Wed Jun 20 2012 mvyskocil@suse.cz
- drop tests (needed dropped cglib-nohook package)
* Mon Mar 26 2012 cfarrell@suse.com
- license update: BSD-3-Clause
  uncritical open source license is not acceptable
* Mon Apr 27 2009 mvyskocil@suse.cz
- Initial SUSE build of version 1.2.0 (from jpp5)
